searchNodes=[{"doc":"Size provides a set of functions to facilitate working with file sizes.Specifying file sizesiex&gt; Size.kilobytes(1) 1024 iex&gt; Size.megabytes(2.3) 2411725 iex&gt; Size.gigabytes(1) 1073741824Humanizing file sizesiex&gt; Size.humanize(1073741824) {:ok, &quot;1 GB&quot;} iex&gt; Size.humanize(1024, spacer: &quot;&quot;) {:ok, &quot;1KB&quot;} iex&gt; Size.humanize!(1073741824) &quot;1 GB&quot; iex&gt; Size.humanize!(500, bits: true) &quot;4 Kb&quot;","ref":"Size.html","title":"Size","type":"module"},{"doc":"Returns the value in bits.iex&gt; Size.bits(1) 1 iex&gt; Size.bits(2.1) 3 iex&gt; Size.bits(2.8) 3","ref":"Size.html#bits/1","title":"Size.bits/1","type":"macro"},{"doc":"Returns the value in bytes.Examplesiex&gt; Size.bytes(2) 2 iex&gt; Size.bytes(2.1) 3 iex&gt; Size.bytes(2.8) 3","ref":"Size.html#bytes/1","title":"Size.bytes/1","type":"macro"},{"doc":"Returns an input value in exabits to bits.iex&gt; Size.exabits(1) 1000000000000000000 iex&gt; Size.exabits(2) 2000000000000000000 iex&gt; Size.exabits(2.1) 2100000000000000000","ref":"Size.html#exabits/1","title":"Size.exabits/1","type":"macro"},{"doc":"Returns an input value in exabytes to bytes.Examplesiex&gt; Size.exabytes(1) 1152921504606846976 iex&gt; Size.exabytes(2) 2305843009213693952 iex&gt; Size.exabytes(2.1) 2421135159674378752","ref":"Size.html#exabytes/1","title":"Size.exabytes/1","type":"macro"},{"doc":"Returns an input value in gigabits to bits.iex&gt; Size.gigabits(1) 1000000000 iex&gt; Size.gigabits(2) 2000000000 iex&gt; Size.gigabits(2.1) 2100000000","ref":"Size.html#gigabits/1","title":"Size.gigabits/1","type":"macro"},{"doc":"Returns an input value in gigabytes to bytes.Examplesiex&gt; Size.gigabytes(1) 1073741824 iex&gt; Size.gigabytes(2) 2147483648 iex&gt; Size.gigabytes(2.3) 2469606196","ref":"Size.html#gigabytes/1","title":"Size.gigabytes/1","type":"macro"},{"doc":"Returns {:ok, string}, where string is the humanized version of the size parameter or {:error, reason} if an error occurs.size must be an integer indicating a number of bytes to be humanized.Error reasons::size_too_big - the number specified by the size parameter is too big to be humanized.:invalid_output_option - the value specified on the optional parameter :output is not valid.OptionsThe accepted options are::bits - specifies whether the output will use bits instead of bytes (default: false):round - specifies using an integer the round to be done to the result value (default: 2):output - specifies the ouput type to be used (default: :string):spacer - specifies using a string the spacer to use between the value and the symbol (default: &quot; &quot;):symbols - specifies a list of 9 string symbols to be used instead of the default oneThe values for :bits can be:true - the output will use bits instead of bytesfalse - the output will use bytes (default)The values for :output can be::tuple - the output will include a tuple like {1024, KB}:map - the output will include a map like {value: 1024, symbol: &quot;KB&quot;}:string - the output will include a string like &quot;1024 KB&quot; (default)Examplesiex&gt; Size.humanize(500) {:ok, &quot;500 B&quot;} iex&gt; Size.humanize(1024) {:ok, &quot;1 KB&quot;} iex&gt; Size.humanize(1024, spacer: &quot;&quot;) {:ok, &quot;1KB&quot;} iex&gt; Size.humanize(1024, output: :tuple) {:ok, {1, &quot;KB&quot;}} iex&gt; Size.humanize(1024, output: :map) {:ok, %{value: 1, symbol: &quot;KB&quot;}}Examples that will return an erroriex&gt; Size.humanize(9999999999999999999999999999) {:error, :size_too_big} iex&gt; Size.humanize(500, output: :not_valid_output) {:error, :invalid_output_option}","ref":"Size.html#humanize/2","title":"Size.humanize/2","type":"function"},{"doc":"Returns a string with the humanized version of the size parameter or an exception is raised if an error occurs.size must be an integer indicating a number of bytes to be humanized.Exceptions:SizeTooBigError - the number specified by the size parameter is too big to be humanizedInvalidOutputError - the value specified on the optional parameter :output is not validOptionsThe accepted options are::bits - specifies whether the output will use bits instead of bytes (default: false):round - specifies using an integer the round to be done to the result value (default: 2):output - specifies the ouput type to be used (default: :string):spacer - specifies using a string the spacer to use between the value and the symbol (default: &quot; &quot;):symbols - specifies a list of 9 string symbols to be used instead of the default oneThe values for :bits can be:true - the output will use bits instead of bytesfalse - the output will use bytes (default)The values for :output can be::tuple - the output will include a tuple like {1024, KB}:map - the output will include a map like {value: 1024, symbol: &quot;KB&quot;}:string - the output will include a string like &quot;1024 KB&quot; (default)Examplesiex&gt; Size.humanize!(500) &quot;500 B&quot; iex&gt; Size.humanize!(1024) &quot;1 KB&quot; iex&gt; Size.humanize!(1024, spacer: &quot;&quot;) &quot;1KB&quot; iex&gt; Size.humanize!(1024, output: :tuple) {1, &quot;KB&quot;} iex&gt; Size.humanize!(1024, output: :map) %{value: 1, symbol: &quot;KB&quot;}Examples that will return an exceptioniex&gt; Size.humanize!(9999999999999999999999999999) ** (Size.SizeTooBigError) `9999999999999999999999999999` size argument is out of the limits to be humanized iex&gt; Size.humanize!(500, output: :not_valid_output) ** (Size.InvalidOutputError) `not_valid_output` is not a valid output type","ref":"Size.html#humanize!/2","title":"Size.humanize!/2","type":"function"},{"doc":"Returns an input value in kilobits to bits.iex&gt; Size.kilobits(1) 1000 iex&gt; Size.kilobits(2) 2000 iex&gt; Size.kilobits(2.1) 2100","ref":"Size.html#kilobits/1","title":"Size.kilobits/1","type":"macro"},{"doc":"Returns an input value in kilobytes to bytes.Examplesiex&gt; Size.kilobytes(1) 1024 iex&gt; Size.kilobytes(2) 2048 iex&gt; Size.kilobytes(2.3) 2356","ref":"Size.html#kilobytes/1","title":"Size.kilobytes/1","type":"macro"},{"doc":"Returns an input value in megabits to bits.iex&gt; Size.megabits(1) 1000000 iex&gt; Size.megabits(2) 2000000 iex&gt; Size.megabits(2.1) 2100000","ref":"Size.html#megabits/1","title":"Size.megabits/1","type":"macro"},{"doc":"Returns an input value in megabytes to bytes.Examplesiex&gt; Size.megabytes(1) 1048576 iex&gt; Size.megabytes(2) 2097152 iex&gt; Size.megabytes(2.1) 2202010","ref":"Size.html#megabytes/1","title":"Size.megabytes/1","type":"macro"},{"doc":"Returns an input value in petabits to bits.iex&gt; Size.petabits(1) 1000000000000000 iex&gt; Size.petabits(2) 2000000000000000 iex&gt; Size.petabits(2.1) 2100000000000000","ref":"Size.html#petabits/1","title":"Size.petabits/1","type":"macro"},{"doc":"Returns an input value in petabytes to bytes.Examplesiex&gt; Size.petabytes(1) 1125899906842624 iex&gt; Size.petabytes(2) 2251799813685248 iex&gt; Size.petabytes(2.1) 2364389804369511","ref":"Size.html#petabytes/1","title":"Size.petabytes/1","type":"macro"},{"doc":"Returns an input value in terabits to bits.iex&gt; Size.terabits(1) 1000000000000 iex&gt; Size.terabits(2) 2000000000000 iex&gt; Size.terabits(2.1) 2100000000000","ref":"Size.html#terabits/1","title":"Size.terabits/1","type":"macro"},{"doc":"Returns an input value in terabytes to bytes.Examplesiex&gt; Size.terabytes(1) 1099511627776 iex&gt; Size.terabytes(2) 2199023255552 iex&gt; Size.terabytes(2.1) 2308974418330","ref":"Size.html#terabytes/1","title":"Size.terabytes/1","type":"macro"},{"doc":"Returns an input value in yottabits to bits.iex&gt; Size.yottabits(1) 1000000000000000000000000 iex&gt; Size.yottabits(2) 2000000000000000000000000 iex&gt; Size.yottabits(2.1) 2100000000000000125829120","ref":"Size.html#yottabits/1","title":"Size.yottabits/1","type":"macro"},{"doc":"Returns an input value in yottabytes to bytes.Examplesiex&gt; Size.yottabytes(1) 1208925819614629174706176 iex&gt; Size.yottabytes(2) 2417851639229258349412352 iex&gt; Size.yottabytes(2.1) 2538744221190721374257152","ref":"Size.html#yottabytes/1","title":"Size.yottabytes/1","type":"macro"},{"doc":"Returns an input value in zettabits to bits.iex&gt; Size.zettabits(1) 1000000000000000000000 iex&gt; Size.zettabits(2) 2000000000000000000000 iex&gt; Size.zettabits(2.1) 2100000000000000000000","ref":"Size.html#zettabits/1","title":"Size.zettabits/1","type":"macro"},{"doc":"Returns an input value in zettabytes to bytes.Examplesiex&gt; Size.zettabytes(1) 1180591620717411303424 iex&gt; Size.zettabytes(2) 2361183241434822606848 iex&gt; Size.zettabytes(2.1) 2479242403506563842048","ref":"Size.html#zettabytes/1","title":"Size.zettabytes/1","type":"macro"},{"doc":"","ref":"Size.html#t:humanize_output/0","title":"Size.humanize_output/0","type":"type"},{"doc":"","ref":"Size.InvalidOutputError.html","title":"Size.InvalidOutputError","type":"exception"},{"doc":"","ref":"Size.SizeTooBigError.html","title":"Size.SizeTooBigError","type":"exception"}]